dbXML API

## org.dbxml.core.objects
Class SimpleXMLObject

    java.lang.Object
      |
      +--org.dbxml.server.SimpleConfigurable
            |
            +--org.dbxml.core.objects.SimpleReflectable
                  |
                  +--org.dbxml.core.objects.SimpleXMLObject

All Implemented Interfaces:
  org.dbxml.server.Configurable, org.dbxml.server.Named, org.dbxml.server.Poolable, Reflectable, XMLObject

Direct Known Subclasses:
  Sequencer, TestSecurity, TestXmlObject

public class SimpleXMLObject
extends SimpleReflectable
implements XMLObject

SimpleXMLObject

Fields inherited from interface org.dbxml.core.objects.Reflectable
`NO_PARAMS`

Constructor Summary
`SimpleXMLObject()`

Method Summary
`Collection` `getCollection()`
`void` `setCollection(Collection collection)`

Methods inherited from class org.dbxml.core.objects.SimpleReflectable
`getName, getReflector, queryInterface, reclaim, setConfig, setPool`

Methods inherited from class org.dbxml.server.SimpleConfigurable
`getConfig`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.dbxml.core.objects.Reflectable
`getReflector, queryInterface`

Methods inherited from interface org.dbxml.server.Named
`getName`

Methods inherited from interface org.dbxml.server.Configurable
`getConfig, setConfig`

Constructor Detail

### SimpleXMLObject

    public SimpleXMLObject()

Method Detail

### setCollection

    public void setCollection(Collection collection)

  Specified by:
    `setCollection` in interface `XMLObject`

### getCollection

    public Collection getCollection()

  Specified by:
    `getCollection` in interface `XMLObject`

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved